import { InputHTMLAttributes } from "react";
export type InputStatus = "DEFAULT" | "ERROR" | "FOCUS";
export type InputProps = {
    type?: "date" | "number" | "text" | "password";
    name?: string;
    value: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onError?: () => boolean;
    onReset?: () => void;
    disable?: boolean;
    enableButton?: boolean;
    attributes?: InputHTMLAttributes<HTMLInputElement>;
    placeholder?: string;
};
export type InputProps2 = InputHTMLAttributes<HTMLInputElement> & {
    onClear?: () => void;
    onError?: () => boolean;
};
export declare const Input: ({ onClear, onError, ...attributes }: InputProps2) => import("react/jsx-runtime").JSX.Element;
export declare const ClearButton: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").FastOmit<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, never>>;
