import React from "react";
import IconButton, { IconButtonProps } from "./index";
import { Meta, StoryObj } from "@storybook/react";
import { CheckIcon } from "../../../assets/Icon";

const meta = {
  title: "component/Button/IconButton",
  component: IconButton,
  parameters: {
    layout: "centered",
  },
  argTypes: {
    borderColor: { control: "color", description: "테두리" },
    backgroundColor: { control: "color", description: "배경" },
    stroke: { control: "color", description: "아이콘" },
  },
  tags: ["autodocs"],
} satisfies Meta<typeof IconButton>;

export default meta;
type Story = StoryObj<typeof meta>;

export const Default: Story = (args: IconButtonProps) => {
  const handleOnClick = () => {};

  return <IconButton {...args} onClick={handleOnClick} />;
};

Default.args = {
  option: "DEFAULT",
  icon: <CheckIcon />,
};

export const Default_Smooth: Story = (args: IconButtonProps) => {
  const handleOnClick = () => {};

  return <IconButton {...args} onClick={handleOnClick} />;
};

Default_Smooth.args = {
  option: "DEFAULT_SMOOTH",
  icon: <CheckIcon />,
};

export const Default_Ghost: Story = (args: IconButtonProps) => {
  const handleOnClick = () => {};

  return <IconButton {...args} onClick={handleOnClick} />;
};

Default_Ghost.args = {
  option: "DEFAULT_GHOST",
  icon: <CheckIcon />,
};
