import React from "react";
import TextButton, { TextButtonProps } from "./index";
import { Meta, StoryObj } from "@storybook/react";

const meta = {
  title: "component/Button/TextButton",
  component: TextButton,
  parameters: {
    layout: "centered",
  },
  argTypes: {
    color: { control: "color", description: "텍스트" },
  },
  tags: ["autodocs"],
} satisfies Meta<typeof TextButton>;

export default meta;
type Story = StoryObj<typeof meta>;

export const Default: Story = (args: TextButtonProps) => {
  const handleOnClick = () => {};

  return <TextButton {...args} onClick={handleOnClick} />;
};

Default.args = {
  children: "TEXT",
};
