import { TextButtonStyle } from "./TextButton.styled";

export type TextButtonProps = {
  children: string;
  onClick: () => void;
  disable?: boolean;
  color?: string;
};

const TextButton = ({
  children,
  onClick,
  disable = false,
  color = "",
}: TextButtonProps) => {
  return (
    <TextButtonStyle
      onClick={() => onClick()}
      disabled={disable}
      style={{ color: color }}
    >
      {children}
    </TextButtonStyle>
  );
};

export default TextButton;
