import React from "react";
import DistanceSlider, { DiatanceSliderValueKey } from "./index";
import { SliderProps } from "../Slider";

import { Meta, StoryObj } from "@storybook/react";
import { useState } from "react";

const meta = {
  title: "component/Slider/DistanceSlider",
  component: DistanceSlider,
  parameters: {
    layout: "centered",
  },
  tags: ["autodocs"],
} satisfies Meta<typeof DistanceSlider>;

export default meta;
type Story = StoryObj<typeof meta>;

export const Default: Story = (args: SliderProps) => {
  const [sliderValue, setSliderValue] = useState<{
    [key in DiatanceSliderValueKey]: number;
  }>({
    minValue: 0,
    maxValue: 100,
  });

  const handleOnChange = (name: DiatanceSliderValueKey, value: number) => {
    setSliderValue({
      ...sliderValue,
      [name]: value,
    });
  };

  return (
    <DistanceSlider {...args} value={sliderValue} onChange={handleOnChange} />
  );
};

Default.args = {
  value: {
    minValue: 0,
    maxValue: 100,
  },
  min: 0,
  max: 100,
};
