import React from "react";
import { useState } from "react";
import Slider, { SliderProps } from "./index";
import { Meta, StoryObj } from "@storybook/react";

const meta = {
  title: "component/Slider/DefaultSlider",
  component: Slider,
  parameters: {
    layout: "centered",
  },
  tags: ["autodocs"],
} satisfies Meta<typeof Slider>;

export default meta;
type Story = StoryObj<typeof meta>;

export const Default: Story = (args: SliderProps) => {
  const [value, setValue] = useState<number>(0);
  // const [valueLabelDisplay, setValueLabelDisplay] = useState<number>(0);

  const handleOnChange = (e: React.ChangeEvent<HTMLInputElement>) => {
    setValue(Number(e.target.value));
    // setValueLabelDisplay(Number(e.target.value));
  };

  return (
    <Slider
      {...args}
      value={value}
      onChange={handleOnChange}
      // valueLabelDisplay={valueLabelDisplay}
    />
  );
};

Default.args = {
  value: 0,
  min: 0,
  max: 100,
  // valueLabelDisplay: 0,
};
