import styled from "styled-components";
import { gray } from "../../../core/colors/colors";
import { TableContainer } from "../Table/Table.styled";

export const ScrollTableMainContainer = styled(TableContainer)`
  width: 650px; // 임의 width 값
  /* width: 100%; */

  display: flex;
  flex-direction: row;

  & > .fixed:first-child {
    border-right: 1px solid ${gray[300]};
  }

  & > .scroll {
    overflow-x: scroll;
  }

  & > .function {
    &::-webkit-scrollbar-track {
      border-right: 0;
    }
  }
`;

export const ScrollTableContainer = styled.div`
  width: max-content;

  & > div:first-child {
    & > div {
      background-color: ${gray[100]};
    }
  }

  .scroll {
    min-width: 120px;
    min-height: 40px;

    padding: 10px 16px;

    display: flex;
    align-items: center;

    & > label {
      gap: 0;
    }
  }

  &::-webkit-scrollbar {
    height: 16px;
  }

  &::-webkit-scrollbar-thumb {
    border: 4px solid transparent;
    border-radius: 40px;

    background: ${gray[300]};
    background-clip: padding-box;
  }

  &::-webkit-scrollbar-track {
    border: 1px solid ${gray[300]};
    border-left: 0;
  }
`;

export const ScrollTableFunctionContainer = styled(ScrollTableContainer)`
  border-left: 1px solid ${gray[300]};

  & > section > div > span {
    display: flex;
    gap: 8px;

    & > button {
      width: 24px;
      height: 24px;

      border: 1px solid ${gray[300]};
      border-radius: 8px;

      background-color: #fff;

      display: flex;
      align-items: center;
      justify-content: center;

      cursor: pointer;
    }
  }
`;
