import styled from "styled-components";
import { fonts } from "@styles/fonts";
import { gray } from "@core/colors/colors";

export const TableContainer = styled.div`
  span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    ${fonts["body-r"]};
  }

  & > div > section {
    display: flex;
    align-items: center;

    .checkbox_div {
      height: 40px;

      padding: 0 16px;

      display: flex;
      align-items: center;

      & > span {
        height: 100%;

        display: flex;
        align-items: center;
      }

      .common-checkbox {
        gap: 0;

        & > div > input {
          background-color: #fff;
        }
      }
    }

    & > div:not(.checkbox_div) {
      width: 120px;
      height: 40px;

      padding: 10px 16px;

      display: flex;
      align-items: center;

      & > label {
        gap: 0;
      }

      &:first-child {
        padding: 0 16px;
      }
    }
  }
`;

export const THeadContainer = styled.div`
  display: flex;
  align-items: center;

  background-color: ${gray[100]};

  .checkbox_div {
    height: 40px;

    padding: 0 16px;

    display: flex;
    align-items: center;

    & > span {
      height: 100%;

      display: flex;
      align-items: center;
    }

    .common-checkbox {
      gap: 0;

      & > div > input {
        background-color: #fff;
      }
    }
  }

  & > div:not(.checkbox_div) {
    width: 120px;
    height: 40px;

    padding: 10px 16px;

    display: flex;
    align-items: center;

    & > label {
      gap: 0;
    }

    &:first-child {
      padding: 0 16px;
    }
  }
`;

export const TBodyContainer = styled.div`
  display: flex;
  flex-direction: column;

  & > section {
    display: flex;
  }
`;

export const PaginationContainer = styled.div`
  margin-top: 16px;

  display: flex;
  align-items: center;
  justify-content: space-between;

  & > section {
    display: flex;
    align-items: center;

    & > span {
      ${fonts["caption-r"]};
    }

    &:first-child {
      gap: 16px;
    }

    & > button:not(.dropdown_chevron) {
      width: 16px;
      height: 16px;

      border: 0;

      background-color: rgba(0, 0, 0, 0);

      cursor: pointer;
    }

    .dropdown_chevron {
      padding: 2px 8px;

      border: 1px solid ${gray[300]};
      border-radius: 8px;

      display: flex;
      align-items: center;
      gap: 8px;

      background-color: #fff;

      cursor: pointer;

      ${fonts["caption-r"]};

      & > button {
        width: 16px;
        height: 16px;

        border: 0;

        background-color: rgba(0, 0, 0, 0);

        cursor: pointer;

        & > svg {
          stroke: ${gray[400]};
          transform: rotate(90deg);
        }
      }
    }

    svg {
      width: 16px;
      height: 16px;

      /* stroke: ${gray[300]}; */
      stroke: ${gray[800]};
    }
  }
`;
