import {
  ChevronLeftIcon,
  ChevronLeftPipeIcon,
  ChevronRightIcon,
  ChevronRightPipeIcon,
} from "@assets/Icon";
import { useState } from "react";

type PaginationButtonsProps = {
  page: number;
  totalPages: number;
};

const PaginationButtons = ({ page, totalPages }: PaginationButtonsProps) => {
  const [newPage] = useState<number>(page);
  const [newTotalPages] = useState<number>(totalPages);

  return (
    <section>
      <span>{`${newPage}-${newTotalPages} of ${newTotalPages}`}</span>
      <button>
        <ChevronLeftPipeIcon />
      </button>
      <button>
        <ChevronLeftIcon />
      </button>
      <button>
        <ChevronRightIcon />
      </button>
      <button>
        <ChevronRightPipeIcon />
      </button>
    </section>
  );
};

export default PaginationButtons;
